cordova.define("pluservice-plugin-keykeeper.KeyKeeper", function(require, exports, module) {
var exec = require('cordova/exec');

function KeyKeeper() {
	console.log('plugin keykeeper  2.0.0 ok');
}

KeyKeeper.prototype.getKey = function (keyType, win, fail) {
    exec(win, fail, 'KeyKeeper', 'getKey', [keyType]);
};

KeyKeeper.prototype.setKey = function (keyType, keyValue, win, fail) {
    exec(win, fail, 'KeyKeeper', 'setKey', [keyType, keyValue]);
};

//KeyKeeper.prototype.renewKey = function (keyType, win, fail) {
//    exec(win, fail, 'KeyKeeper', 'renewKey', [keyType]);
//};

//KeyKeeper.prototype.encode = function (clearText, win, fail) {
//    exec(win, fail, 'KeyKeeper', 'encode', [clearText]);
//};
//
//KeyKeeper.prototype.decode = function (cypherText, win, fail) {
//    exec(win, fail, 'KeyKeeper', 'decode', [cypherText]);
//};

KeyKeeper.prototype.encode = function (keyType, clearText, win, fail) {
    exec(win, fail, 'KeyKeeper', 'encode', [keyType, clearText]);
};

KeyKeeper.prototype.decode = function (keyType, cypherText, cypherTextHash, fingerprint, win, fail) {
    exec(win, fail, 'KeyKeeper', 'decode', [keyType, cypherText, cypherTextHash, fingerprint]);
};

KeyKeeper.prototype.hash = function (textToHash, win, fail) {
    exec(win, fail, 'KeyKeeper', 'hash', [textToHash]);
};
	
if(!window.plugins) {
    window.plugins = {};
}
if (!window.plugins.keykeeper) {
    window.plugins.keykeeper = new KeyKeeper();
}

 
});
